package com.zskk.controller.bean;

public class ResultBean {
	private int code = 0;
	private String msg = "sussess";
	private Object data;
	private String error;
	private String random;
	private String signature;
	private Integer timestamp = getCurrentTime();
	private Integer request_timestamp = getCurrentTime() -1;
	
	public ResultBean(Object data){
		this.data = data;
	}
	
	public ResultBean(int code, String msg){
		this.code = code;
		this.msg = msg;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getRandom() {
		return random;
	}

	public void setRandom(String random) {
		this.random = random;
	}

	public String getSignature() {
		return signature;
	}

	public void setSignature(String signature) {
		this.signature = signature;
	}

	public Integer getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Integer timestamp) {
		this.timestamp = timestamp;
	}

	public Integer getRequest_timestamp() {
		return request_timestamp;
	}

	public void setRequest_timestamp(Integer request_timestamp) {
		this.request_timestamp = request_timestamp;
	}
	
	private Integer getCurrentTime() {
		return (int)(System.currentTimeMillis()/1000);
	}
	
}
